Bug 1529417 - kdelibs3 does not find compat-openssl10-1.0.2m
Summary: kdelibs3 does not find compat-openssl10-1.0.2m
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdelibs3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-28 01:32 UTC by Yaakov Selkowitz
Modified: 2018-01-06 23:09 UTC (History)
6 users (show)

Fixed In Version: kdelibs3-3.5.10-90.fc27 kdelibs3-3.5.10-90.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-31 21:25:50 UTC


Attachments (Terms of Use)
Patch for rawhide (3.30 KB, patch)
2017-12-28 01:45 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Yaakov Selkowitz 2017-12-28 01:32:00 UTC
kdelibs3 does not properly load libcrypto/libssl since the latter were updated to 1.0.2m.  This can be seen by installing kdebase3, running kcmshell crypto, and in the OpenSSL tag, pushing the Test button, which shows the following:

Failed to load OpenSSL.

Details
   libssl was not found or successfully loaded.

Here's why:

$ strings /usr/lib64/libkio.so.4 | grep libssl
libssl.so.1.0.2j  <== this changes with each version
libssl.so.0.9.8k
libssl.so.8
[snip]

Since the update to 1.0.2m, there is no longer an .so.1.0.2j.  The easiest solution is to add the .so.10 alias to the openssl patch, which will exist for the lifetime of compat-openssl10.

Also, I noticed that the system ca-certificates are still not being used (bug 521902).

Patch forthcoming.

Comment 1 Yaakov Selkowitz 2017-12-28 01:45:52 UTC
Created attachment 1373041 [details]
Patch for rawhide

Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=23925849

Comment 2 Kevin Kofler 2017-12-29 02:07:27 UTC
This also affects F27 and F26.

Comment 3 Fedora Update System 2017-12-29 03:25:14 UTC
kdelibs3-3.5.10-90.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e23674a9ec

Comment 4 Fedora Update System 2017-12-29 03:25:31 UTC
kdelibs3-3.5.10-90.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eabbc65b10

Comment 5 Fedora Update System 2017-12-29 19:32:09 UTC
kdelibs3-3.5.10-90.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e23674a9ec

Comment 6 Fedora Update System 2017-12-29 21:42:34 UTC
kdelibs3-3.5.10-90.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eabbc65b10

Comment 7 Fedora Update System 2017-12-31 21:25:50 UTC
kdelibs3-3.5.10-90.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-01-06 23:09:13 UTC
kdelibs3-3.5.10-90.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.